# 客户入驻功能需求文档

客户是指物业公司，客户入驻是我们公司运营人员管理物业信息的平台，目的在于更好的为物业公司服务，提升我们的工作效率。

### 业务流程 [原型地址](https://org.modao.cc/app/e6901721256b50fa80884755fcf42250e875e733)

![客户入驻流程](image/客户入驻流程.jpg)

### 表单说明

![客户入驻流程](image/用户注册.png)

| 字段名称 | 类型       | 备注                     | 是否必填 |
|:---- |:-------- | ---------------------- | ---- |
| 姓名   | String   |                        | 是    |
| 电话   | varchar  | 注册时短信验证                | 是    |
| 公司名  | String   |                        | 否    |
| 注册时间 | datetime | 格式：YYYY-MM-dd hh:mm:ss | 是    |

![客户入驻流程](image/资料补全.png)

**用户详细信息表**  运营人员电话回访后补全用户信息或者是运营人员直接添加用户信息

| 字段名称    | 类型      | 备注        | 是否必填 |
| ------- | ------- | --------- | ---- |
| 企业号     | String  | 自动生成      | 是    |
| 营业执照号   | String  |           | 是    |
| 企业名称    | String  |           | 是    |
| 所属省份    | String  |           | 是    |
| 所属城市    | String  |           | 是    |
| 企业详细地址  | String  |           | 是    |
| 办公电话    | varchar |           | 否    |
| 邮箱      | String  |           | 是    |
| 营业执照扫描件 | String  |           | 否    |
| 企业简介    | String  |           | 否    |
| 备注      | String  |           | 否    |
| 状态      | tinyint | 0=关闭，1=开通 | 是    |

**点击开通前须先根据营业执照号、企业名称、地址、联系人、联系电话判断是否资料齐全** ，如果资料不全，跳出弹层补全资料页面，提示先补全资料。

![客户入驻流程](image/合同修改.png)

**合同表**

| 字段名称   | 类型       | 备注            | 是否必填 |
| ------ | -------- | ------------- | ---- |
| 用户id   | String   | 索引用户详情信息表     | 是    |
| 开户行    | String   | 开户行名称         | 是    |
| 法人代表   | String   |               | 是    |
| 账号     | String   | 银行卡号          | 是    |
| 合作开始时间 | datetime | 格式：YYYY-MM-dd | 是    |
| 合作截止时间 | datetime | 格式：YYYY-MM-dd | 是    |
| 授权小区数  | Int      |               | 是    |
| 合作金额   | decimal  |               | 是    |
| 合同扫描件  | String   |               | 否    |
| 甲方对接人  | String   |               | 是    |
| 甲方电话   | varchar  |               | 是    |
| 乙方对接人  | String   |               | 是    |
| 乙方电话   | varchar  |               | 是    |
| 企业简介   | String   |               | 否    |
| 备注     | String   |               | 否    |
| 状态     | Enum     | 开通/关闭         | 是    |

**添加合同前须先根据营业执照号、企业名称、地址、联系人、联系电话判断是否资料齐全**，如果资料不全，跳出弹层补全资料页面，提示先补全资料。

![客户入驻流程](image/登录表.png)

![申请入驻修改](image/申请入驻修改.png)

运营人员根据客户申请的信息，对客户回访客户确定客户意向，进一步达成合作。

### 业务说明

客户分网页申请、微信端申请、二维码申请、运营人员线下开发。如果是自主申请的用户，运营人员需对申请用户回访，确定客户意向，后期会有免费体验模块。根据客户意向补充客户资料，是否签订合同，设置客户状态，分配用户信息，开通相应权限。



## 客户数据源管理

绘管家是一个多租户多数据库的SaaS平台，即每一个客户都有自己独立的数据库，以便进行数据隔离，支持后期部分客户独立部署的要求。客户开通前，应当由后台开发人员配置客户数据源，以保证客户的业务数据能够存储在对应客户的数据库上。数据源相关配置权限必须分配给开发或运维人员，以免配置错误导致客户无法正常使用。

客户数据源配置入口在客户详情页面，如下图所示，如果该客户尚未配置数据源，则显示为：__暂未配置数据源__。

![数据源信息](image/datasource.png)

数据源配置好之后不允许再进行修改，仅可以更新实施状态。实施状态如下：

* 未实施：指该客户尚未录入任何数据，此时的数据源允许删除，实施状态可以更新为实施中。

* 实施中：指该客户已经在业务系统录入了数据，但尚未有小区上线。此时的数据源不允许删除（未来可以允许清空部分数据表），实施状态可更新为已上线。

* 已上线：指该客户已有小区上线，此时数据源不允许删除，实施状态不可再变更。

### 数据源配置表单

![数据源配置表单](image/datasource_setting.png)

| 字段名称  | 类型     | 说明                             | 是否必填 |
| ----- | ------ | ------------------------------ | ---- |
| 数据库连接 | String | 数据库内网连接IP及端口                   | 是    |
| 数据源类型 | Enum   | 数据库类型，目前默认为mysql               | 是    |
| 数据源名称 | String | 连接的数据源名称，由系统自动生成               | 是    |
| 数据库名称 | String | 连接的数据库名称，由系统自动生成               | 是    |
| 账号    | String | 数据库账号，禁止使用root账号               | 是    |
| 密码    | String | 数据库密码，密码至少8位，且必须包含大写字母，数字和特殊字符 | 是    |
| 最大连接数 | Int    | 数据库允许的最大连接数，大于0的整数             | 是    |
| 最小连接数 | Int    | 数据库允许的最小连接数，大于0的整数，需小于等于最大连接数  | 是    |
| 备注    | String | 数据源备注说明                        | 否    |
